package com.gh.gamecenter.core.provider

import android.content.Context
import android.content.Intent
import com.alibaba.android.arouter.facade.template.IProvider

interface IEnergyTaskProvider : IProvider {

    fun postEnergyTaskForShare(type: String, id: String, url: String)

    fun logInviteResult(result: String, type: String? = null)

    fun postEnergyTask(action: String)

    fun postInviteCodeTask(code: String, from: String, callback: (() -> Unit)?)

    fun postEnergyTask(action: String, id: String)

    fun postEnergyTask(action: String, id: String, packageName: String)

    fun postEnergyTask(action: String, id: String? = null, packageName: String? = null, url: String? = null)

    fun getEnergyCenterIntent(context: Context?): Intent?

    fun getEnergyCenterIntent(context: Context?, initTabIndex: Int): Intent?

    fun getEnergyHouseIntent(context: Context?, categoryId: String? = null): Intent?

}